/*
 * 이 헤더 파일은 POST 시스템에 사용되는 함수들을 적어놓은 헤더 파일입니다.
 * 필요에 따라서 추가로 더 생성될 수 있습니다.
 */

#ifndef POST_HEADER
#define POST_HEADER

/* Header files to include */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Error Code */
#define ERROR -1

/* Boolean */
#define TRUE 1
#define FALSE 0

/* Data Types */
typedef int BOOLEAN;
typedef int INPUT;
typedef struct _PRODUCT_INFO
{
    char name[20];
    unsigned int price;
    char barcode_number[4];
    unsigned int stock_amount;
} PRODUCT;

/* Global variables */
int current_status;

/*
 * POSSIBLE GOODS LIST:
 * Cookie(001)
 * Ice-cream(010)
 * Fruit(011)
 * Water(100)
 * Ramen(101)
 * Drink(110)
 * Coffee(111)
 */

#endif
