/*
 * daily.h
 * Header file for daily report codes
 */

#ifndef DAILY_HEADER
#define DAILY_HEADER

/* Header files to include */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <pthread.h>
#include <time.h>
#include "pos.h"

/* Data Types */
typedef struct _TIME_INFO
{
    char year[5];
    char month[3];
    char date[3];
    char hour[3];
    char minute[3];
} TIME;

/* Global Variables */
TIME CURRENT_TIME;
pthread_t time_thr;
pthread_mutex_t mutex;

/* Functions */
void *time_function();
char *get_current_date();
char *get_current_datetime();
void print_daily_report();
int renew_server();

#endif