/*
 * display.h
 * 디스플레이(화면 출력) 에 관한 함수 정의한 헤더 파일
 */

#ifndef DISPLAY_HEADER
#define DISPLAY_HEADER

/* Header files to include */
#include <stdio.h>
#include "sell.h"

/* Constants */
#define OFFSET 100

/* Utility Function(s) */
void gotoxy(int x, int y);

/* Functions */
void display_main_menu();
void display_sell_cashier_menu();
void display_sell_cashier_screen(SELL_LIST *list);
void display_sell_customer_screen(SELL_LIST *list);
void display_refund_cashier_menu();
void display_refund_cashier_screen(SELL_LIST *list);
void display_refund_customer_screen(SELL_LIST *list);
void display_error_message();
void display_out_of_stock_message(char *product_name);

#endif