/*
 * input.h
 * Header file for funtions regarding input
 */

#ifndef INPUT_HEADER
#define INPUT_HEADER 

#include <stdio.h>

/* Error Code */
#define ERROR -1

/* Input Code - Main menu */
#define TURN_OFF 1
#define SELL 2
#define REFUND 3
#define CHECK_STOCK 4

/* Boolean */
#define TRUE 1
#define FALSE 0

/* Data Types */
typedef int BOOLEAN;
typedef int INPUT;

/* Functions */
INPUT get_cashier_input();
char *get_barcode_procduct_input();
char *get_barcode_receipt_input();

#endif