#include "daily.h"
#include "sell.h"
#include "refund.h"

void add_refund_management(SELL_LIST *list)
{
    SELL_NODE *curr;
    char filename[30];
    FILE *fp;

    strcpy(filename, get_current_date());
    strcat(filename, "_sale_management.txt");

    fp = fopen(filename, "a");
    if (ftell(fp) == 0)
    {
        fprintf(fp, "%s %s", "날짜 : ", get_current_date());
        fputs("\n\n", fp);
    }

    fputs("환불 상품 \n", fp);

    curr = list->head->next;
    while (curr != list->tail)
    {
        fprintf(fp, "%s %d %d %d\n", curr->product_name, curr->product_price, curr->product_quantity, curr->product_price * curr->product_quantity);
        curr = curr->next;
    }
    fprintf(fp, "%s %d", "환불 금액 : ", list->total_price);
    fputs("\n\n", fp);

    fclose(fp);
}